Subject: bug#12579: Emacs 24.2 crashes or freezes

From: "Fabrice Niessen" <[email-masked]>
Date: Thu, 29 Nov 2012 22:53:36 +0100

Hi Stefan,

Stefan Monnier wrote:
>> instead of a more natural syntax (directory, then file):
>>   (expand-file-name windows-program-files-dir "SumatraPDF/SumatraPDF.exe")
>> I know this may sound stupid, and purely syntactic...
>
> I definitely understand your point, and it is well taken.
> But expand-file-name is also often called with a single argument (the
> relative file name), so it would be rather odd/inconvenient to combine
> the two since Elisp optional args traditionally come at the end rather
> than at the beginning.
>
> OTOH, maybe we could do that for a new `concat-file-name-elements' which
> would be like `expand-file-name' except that it leaves the result
> relative if the directory argument is relative (so it'd be more like
> a "concat that adds a slash when needed").

Thanks for having taken the time to answer me.

I completely understand your point as well. I think that an alias, or some
similar beast, would be handy when *both* parameters are given, so that they
would be inversed wrt the original function `expand-file-name'.

Old code could still be used as it was. New code could use the more intuitive
way (when both params are given), for the ones who like it.

Best regards,
Fabrice